### File

`packages/eui-mobile/packages/core/src/lib/components/layout/euim-sidebar/euim-sidebar.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `euim-sidebar`
styleUrls | `./styles/_index.scss`
templateUrl | `./euim-sidebar.component.html`

### Index

###### Properties

- className
- Public menuCtrl

###### Inputs

- ionMenuId
- routerPath

###### HostBindings

- className

### Constructor

`constructor(router: Router, menuCtrl: MenuController)`

Parameters :

Name | Type | Optional
router | `Router` | No
menuCtrl | `MenuController` | No

### Inputs

ionMenuId
Type : `string`
Default value : `'main'`

routerPath
Type : `string`
Default value : `'home'`

### HostBindings

className
Type : `string`
Default value : `'euim-sidebar'`

### Properties

className
Type : `string`
Default value : `'euim-sidebar'`
Decorators : `@HostBinding()`

Public menuCtrl
Type : `MenuController`

# results matching ""

# No results matching ""